Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Class AbstractGlobalActionHandlerProvider

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandlerProvider

All Implemented Interfaces:
  IGlobalActionHandlerProvider, IProvider

Direct Known Subclasses:
  DiagramGlobalActionHandlerProvider, DiagramIDEGlobalActionHandlerProvider, DiagramUIRenderGlobalActionHandlerProvider, DiagramWithPrintGlobalActionHandlerProvider, DiagramWithPrintGlobalActionHandlerProvider, EditorGlobalActionHandlerProvider

public abstract class AbstractGlobalActionHandlerProvider
extends AbstractProvider
implements IGlobalActionHandlerProvider

The abstract parent of all concrete global action handler providers. A concrete provider needs to override the `getGlobalActionHandler()` method only. The `provides()` method has a default implementation. The `provides()` method is already handled by the proxy for the provider (`GlobalActionHandlerService.ProviderDescriptor`). The proxy contains all the information necessary to decide handle the `provides()` method.

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.services.action.global.IGlobalActionHandlerProvider
`IGlobalActionHandlerProvider.NullElementType`

Constructor Summary
`AbstractGlobalActionHandlerProvider()` Constructor for AbstractGlobalActionHandlerProvider.

Method Summary
`IGlobalActionHandler` `getGlobalActionHandler(IGlobalActionHandlerContext context)` Returns a `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`
`boolean` `provides(IOperation operation)` Returns `true` if the provider can handle the `GlobalActionHandlerOperation` operation

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### AbstractGlobalActionHandlerProvider

    public AbstractGlobalActionHandlerProvider()

  Constructor for AbstractGlobalActionHandlerProvider.

Method Detail

### getGlobalActionHandler

    public IGlobalActionHandler getGlobalActionHandler(IGlobalActionHandlerContext context)

  Returns a `IGlobalActionHandler` for the given `IGlobalActionHandlerContext`

  Specified by:
    `getGlobalActionHandler` in interface `IGlobalActionHandlerProvider`
  Parameters:
    `context` - The context information
  Returns:
    The global action handler associated with the context

### provides

    public final boolean provides(IOperation operation)

  Returns `true` if the provider can handle the `GlobalActionHandlerOperation` operation

  Specified by:
    `provides` in interface `IProvider`
  Parameters:
    `operation` - An operation
  Returns:
    Returns `true` if the provider can handle the `GlobalActionHandlerOperation` operation. Otherwise returns `false`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.